> For the complete documentation index, see [llms.txt](https://docs.txn.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.txn.io/fiat-settlements/listing-bank-accounts.md).

# Listing bank accounts

<mark style="color:green;">`GET`</mark> `/api/public/v1/bank_accounts`

This endpoint returns a list of bank accounts linked to your Txn account.

{% hint style="info" %}
Please note that Txn clients cannot add beneficiaries themselves just yet. Instead, please reach out to your account manager.
{% endhint %}

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/vnd.api+json` |
| Authorization | `Bearer <api_key>`         |

**Response Body**

<table><thead><tr><th>Name</th><th width="97">Type</th><th>Description</th></tr></thead><tbody><tr><td>data[].id</td><td>string</td><td>Bank account ID.</td></tr><tr><td>data[].type</td><td>string</td><td>Entity type returned. Always <code>bankAccounts</code>.</td></tr><tr><td>data[].attributes</td><td>object</td><td>Set of bank account attributes.</td></tr><tr><td>data[].attributes.beneficiaryName</td><td>string</td><td>Name of the beneficiary on the bank account.</td></tr><tr><td>data[].attributes.iban</td><td>string</td><td>Beneficiary IBAN.</td></tr><tr><td>data[].attributes.bankName</td><td>string</td><td>Name of the beneficiary's bank.</td></tr><tr><td>data[].attributes.bankBic</td><td>string</td><td>BIC/SWIFT code of the beneficiary's bank.</td></tr><tr><td>data[].attributes.currencyCode</td><td>string</td><td>Account currency code. Refer to <a href="/pages/SA7q0b6VrvXO3W09TQfS">supported currencies</a>.</td></tr><tr><td>data[].attributes.label</td><td>string</td><td>User-defined label for the bank account.</td></tr><tr><td>data[].attributes.createdAt</td><td>string</td><td>Timestamp when the bank account was created. Refer to the <a href="/pages/H7xWDJMZukOei8CS8tUW">Date and time format</a> page.</td></tr><tr><td>data[].attributes.updatedAt</td><td>string</td><td>Timestamp when the bank account was last updated.</td></tr><tr><td>meta.page</td><td>number</td><td>Current page number.</td></tr><tr><td>meta.per_page</td><td>number</td><td>Page size used for the response.</td></tr><tr><td>meta.total</td><td>number</td><td>Total number of bank accounts available.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="HTTP 200" %}

```json
{
  "data": [
    {
      "id": "a754cd82-74a0-4c1c-a832-e83445bce2c5",
      "type": "bank_accounts",
      "attributes": {
        "beneficiaryName": "Acme Limited",
        "currencyCode": "EUR",
        "iban": "LT563400023810000822",
        "createdAt": "2024-12-07T11:42:27.571Z",
        "updatedAt": "2024-12-07T11:42:27.571Z",
        "bankBic": "GXPTLT22XXX",
        "bankName": "BANK NAME"
      }
    },
    {
      "id": "f96d0db2-3e5d-42b4-8e36-7a0ea2a951fe",
      "type": "bank_accounts",
      "attributes": {
        "beneficiaryName": "Acme Limited",
        "currencyCode": "EUR",
        "iban": "LT293400023810000823",
        "createdAt": "2024-10-24T14:13:11.802Z",
        "updatedAt": "2024-12-07T11:21:01.250Z",
        "bankBic": "GXPTLT22XXX",
        "bankName": "BANK NAME"
      }
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 10,
    "total": 2
  },
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.txn.io/fiat-settlements/listing-bank-accounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
